| Home | Libraries | People | FAQ | More

## Struct template term

boost::proto::term — A type sequence, for use as the 2nd parameter to the `proto::expr<>` and `proto::basic_expr<>` class templates.

## Synopsis

    // In header: <boost/proto/args.hpp>

    template<typename T>
    struct term {
      // types
      typedef T child0;
      static const long arity;  // = 0;
    };

## Description

A type sequence with one element, for use as the 2nd parameter to the `proto::expr<>` and `proto::basic_expr<>` class templates. The sequence element represents the value of a terminal.